Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225811 - Merge Review: gnome-applet-vm
Summary: Merge Review: gnome-applet-vm
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 18:50 UTC by Nobody's working on this, feel free to take it
Modified: 2009-02-12 12:41 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-02-12 12:41:09 UTC
rjones: fedora-review+


Attachments (Terms of Use)
Proposed patch to gnome-applet-vm.spec (deleted)
2009-02-11 17:39 UTC, Richard W.M. Jones
no flags Details | Diff
Proposed patch to gnome-applet-vm.spec (deleted)
2009-02-11 17:52 UTC, Richard W.M. Jones
no flags Details | Diff

Description Nobody's working on this, feel free to take it 2007-01-31 18:50:26 UTC
Fedora Merge Review: gnome-applet-vm

http://cvs.fedora.redhat.com/viewcvs/devel/gnome-applet-vm/
Initial Owner: kzak@redhat.com

Comment 1 Richard W.M. Jones 2009-02-11 12:36:36 UTC
Taking for review.

Comment 2 Richard W.M. Jones 2009-02-11 13:04:03 UTC
gnome-applet-vm.x86_64: W: non-conffile-in-etc /etc/gconf/schemas/vm-applet.schemas
gnome-applet-vm.x86_64: E: explicit-lib-dependency libvirt
gnome-applet-vm.x86_64: W: conffile-without-noreplace-flag /etc/pam.d/vm_applet_wrapper
gnome-applet-vm.x86_64: W: conffile-without-noreplace-flag /etc/security/console.apps/vm_applet_wrapper
gnome-applet-vm.x86_64: W: one-line-command-in-%postun /sbin/ldconfig
3 packages and 0 specfiles checked; 1 errors, 4 warnings.

Comment 3 Karel Zak 2009-02-11 14:56:25 UTC
Frankly, I want to orphan this package... it means that we need upstream maintainer too. I have already asked on many places, but without any result ;-(

Daniel, any idea? Maybe someone around virtualization in RH...

Comment 4 Richard W.M. Jones 2009-02-11 16:42:41 UTC
kzak: If you want, orphan this & I will take it.

Comment 5 Richard W.M. Jones 2009-02-11 17:39:49 UTC
Created attachment 331595 [details]
Proposed patch to gnome-applet-vm.spec

With the attached patch, we are left with this single
rpmlint warning:

> gnome-applet-vm.x86_64: W: non-conffile-in-etc /etc/gconf/schemas/vm-applet.schemas

I think this is one we can ignore, since this looks like
the place where gconf expects these schemata to be installed.

Comment 6 Richard W.M. Jones 2009-02-11 17:51:33 UTC
+ rpmlint output

See comment 5.

+ package name satisfies the packaging naming guidelines
+ specfile name matches the package base name
+ package should satisfy packaging guidelines
+ license meets guidelines and is acceptable to Fedora

"GPL+" is an acceptable license, and was set by spot, so
assume this is correct.

+ license matches the actual package license
+ %doc includes license file
+ spec file written in American English
+ spec file is legible
+ upstream sources match sources in the srpm
+ package successfully builds on at least one architecture
+ ExcludeArch bugs filed

Originally had ExclusiveArch i386, x86-64, but should build
everywhere so I removed this.

+ BuildRequires list all build dependencies
+ %find_lang instead of %{_datadir}/locale/*
+ binary RPM with shared library files must call ldconfig in %post and %postun

Package called ldconfig, but contains no libraries, so I
removed that.

+ does not use Prefix: /usr
+ package owns all directories it creates

Originally tried to own /usr/share/pixmaps, but I fixed that.

+ no duplicate files in %files
+ %defattr line
+ %clean contains rm -rf $RPM_BUILD_ROOT
+ consistent use of macros
+ package must contain code or permissible content
n/a large documentation files should go in -doc subpackage
+ files marked %doc should not affect package
n/a header files should be in -devel
n/a static libraries should be in -static
n/a packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
n/a libfoo.so must go in -devel
n/a -devel must require the fully versioned base
n/a packages should not contain libtool .la files
n/a packages containing GUI apps must include %{name}.desktop file

I think this is not applicable because although this is a "GUI
app", it is a Gnome panel plugin so doesn't need a desktop file.

+ packages must not own files or directories owned by other packages
+ %install must start with rm -rf %{buildroot} etc.
+ filenames must be valid UTF-8

Optional:

+ if there is no license file, packager should query upstream
n/a translations of description and summary for non-English languages, if available
+ reviewer should build the package in mock
+ the package should build into binary RPMs on all supported architectures
- review should test the package functions as described
+ scriptlets should be sane
n/a pkgconfig files should go in -devel
+ shouldn't have file dependencies outside /etc /bin /sbin /usr/bin or /usr/sbin

Comment 7 Richard W.M. Jones 2009-02-11 17:52:37 UTC
Created attachment 331596 [details]
Proposed patch to gnome-applet-vm.spec

Updated specfile patch.

Comment 8 Richard W.M. Jones 2009-02-11 17:53:56 UTC
Cole, can you take a quick look at the proposed
changes to the specfile in comment 7, and if you
approve, say yea.

Comment 9 Cole Robinson 2009-02-11 19:49:27 UTC
All the changes look good.

What is the remaining process here? Do I need to apply the patch for all supported branches or is rawhide sufficient? Can the bug be closed after the patch is applied?

Comment 10 Dan Horák 2009-02-12 07:40:08 UTC
(In reply to comment #9)
> All the changes look good.
> 
> What is the remaining process here? Do I need to apply the patch for all

only in rawhide

> supported branches or is rawhide sufficient? Can the bug be closed after the
> patch is applied?

depends on who is the owner and who is the reviewer, after reviewer will say "APPROVED" then the owner can close

Comment 11 Richard W.M. Jones 2009-02-12 12:41:09 UTC
OK I've applied the patch in comment 7.

----------------------------------
This package is APPROVED by rjones
----------------------------------


Note You need to log in before you can comment on or make changes to this bug.